Bug 1482063 - FTBFS: add missing header
Summary: FTBFS: add missing header
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtirpc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-16 11:51 UTC by Rafael Fonseca
Modified: 2017-08-22 13:34 UTC (History)
6 users (show)

Fixed In Version: libtirpc-1.0.2-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 13:34:07 UTC
Type: Bug


Attachments (Terms of Use)
Fix FTBFS (1.42 KB, patch)
2017-08-16 11:51 UTC, Rafael Fonseca
no flags Details | Diff

Description Rafael Fonseca 2017-08-16 11:51:31 UTC
Created attachment 1314082 [details]
Fix FTBFS

Description of problem: the lib fails to build with the following message
xdr_sizeof.c:93:13: error: 'uintptr_t' undeclared (first use in this function); did you mean '__intptr_t'?
  if (len < (uintptr_t)xdrs->x_base) {
             ^~~~~~~~~
             __intptr_t
xdr_sizeof.c:93:13: note: each undeclared identifier is reported only once for each function it appears in
xdr_sizeof.c:93:23: error: expected ')' before 'xdrs'
  if (len < (uintptr_t)xdrs->x_base) {
                       ^~~~
xdr_sizeof.c:105:38: error: expected ';' before 'len'
   xdrs->x_base = (caddr_t)(uintptr_t)len;
                                      ^~~
xdr_sizeof.c:109:1: warning: control reaches end of non-void function [-Wreturn-type]
 }
 ^

Version-Release number of selected component (if applicable): 1.0.2-2


How reproducible: always


Steps to Reproduce: koji-build libtirpc


Additional info: patch attached

Comment 1 Troy Dawson 2017-08-18 13:33:46 UTC
This failed build is blocking some automated building for the bootstrap and module team.

I understand that time is important and that not everyone has time to work on failed builds.
If you are unable to update the rpm within a week, we will have a proven packager apply the patch in this bug.
If you know you will be too busy and wouldn't mind us applying it sooner, just let us know.

Comment 2 Dan Horák 2017-08-18 16:47:24 UTC
libtirpc failed in the F-27 mass-rebuilds too, I suppose for the same reason

Comment 3 Petr Šabata 2017-08-22 12:54:22 UTC
Thanks for the patch.  This is blocking several efforts.  I'll apply the patch.


Note You need to log in before you can comment on or make changes to this bug.